メインコンテンツへスキップ
GET
/
events
/
v3
/
events
イベント インスタンス クエリー
curl --request GET \
  --url https://api.hubapi.com/events/v3/events/ \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "eventType": "<string>",
      "id": "<string>",
      "objectId": "<string>",
      "objectType": "<string>",
      "occurredAt": "2023-11-07T05:31:56Z",
      "properties": {}
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

サポートされる製品

次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing Hub -Enterprise
Sales HubSales Hub -Enterprise
Service HubService Hub -Enterprise
Content HubContent Hub -Enterprise

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

after
string

前回正常に読み取られたリソースのページ設定カーソルトークンが、その他の結果が含まれるページ設定されたレスポンスの「paging.next.after」JSONプロパティーとして返されます。

before
string

Paging cursor token from paging.prev.before in a previous response. Use to retrieve the previous page of results.

eventType
string

イベントタイプ名。使用可能なイベントタイプ名のリストは別のAPI呼び出しから取得できます。

id
string[]

イベントインスタンスのID。IDはイベントインスタンスと1対1です。このフィルターと追加のフィルターを指定する場合は、他のフィルターがイベントインスタンスの値と一致していないと結果が得られません。

limit
integer<int32>

ページごとに表示する結果の最大数。

objectId
integer<int64>

イベントインスタンスの絞り込みの基準となるCRMオブジェクトのID。objectIdに基づいて絞り込む場合は、objectTypeも指定する必要があります。

objectProperty.{propname}
object

Filter events by a property on the associated CRM object. Replace {propname} with the property name (e.g. objectProperty.email=user@example.com). Multiple filters are ANDed together.

objectType
string

イベントインスタンスの絞り込みの基準となるCRMオブジェクトタイプ名。必要に応じて、別のパラメーターでobjectIdも指定して特定のCRMオブジェクトインスタンスに絞り込むこともできます。

occurredAfter
string<date-time>

Return only events that occurred after this timestamp, in ISO 8601 format (e.g. 2024-01-01T00:00:00Z).

occurredBefore
string<date-time>

Return only events that occurred before this timestamp, in ISO 8601 format (e.g. 2024-12-31T23:59:59Z).

property.{propname}
object

Filter events by a property on the event itself. Replace {propname} with the event property name. Multiple values for the same property are ORed; multiple properties are ANDed. Requires eventType to be set.

sort
string[]

イベントインスタンスのタイムスタンプに基づく並べ替えの方向で、昇順または降順。

レスポンス

successful operation

results
object[]
必須

An array of ExternalUnifiedEvent objects, each representing an individual event with its associated details.

paging
object
Last modified on February 12, 2026